function OnWorldPostUpdate()
end

--Problem:mimic will missed if game is restarted.

function OnPlayerSpawned(player_entity)
    local target_x, target_y = EntityGetTransform(player_entity)

    --[[
    local wand = EntityLoad("data/entities/items/wand_level_04.xml", target_x, target_y)

    EntityAddComponent2(
        wand,
        "LuaComponent",
        {
            execute_every_n_frame = 1,
            script_source_file = "mods/mimic_info_box/scripts/generate_panel_mimic.lua"
        }
    )
    ]]
end

local base_wand_xml = ModTextFileGetContent("data/entities/base_wand.xml")
local addon = [[
    <LuaComponent
    execute_every_n_frame="1"
    script_source_file="mods/mimic_info_box/scripts/generate_panel_mimic.lua"
>
</LuaComponent>
]]
local startIndex, endIndex = string.find(base_wand_xml, "</Entity>", 1, true)
if startIndex then
    base_wand_xml = string.sub(base_wand_xml, 1, startIndex - 1) .. addon .. string.sub(base_wand_xml, startIndex)
end
ModTextFileSetContent("data/entities/base_wand.xml",base_wand_xml)
--ModLuaFileAppend("data/scripts/gun/procedural/gun_procedural_better.lua","mods/mimic_info_box/scripts/monkey_patch.lua")
--ModLuaFileAppend("data/scripts/gun/procedural/gun_procedural.lua","mods/mimic_info_box/scripts/monkey_patch.lua")
