dofile("data/scripts/lib/mod_settings.lua")
--dofile_once("mods/Magicka/scripts/magicka_orb_utils.lua")

function mod_setting_bool_custom( mod_id, gui, in_main_menu, im_id, setting )
	local value = ModSettingGetNextValue( mod_setting_get_id(mod_id,setting) )
	local text = setting.ui_name .. " - " .. GameTextGet( value and "$option_on" or "$option_off" )

	if GuiButton( gui, im_id, mod_setting_group_x_offset, 0, text ) then
		ModSettingSetNextValue( mod_setting_get_id(mod_id,setting), not value, false )
	end

	mod_setting_tooltip( mod_id, gui, in_main_menu, setting )
end

function mod_setting_change_callback( mod_id, gui, in_main_menu, setting, old_value, new_value  )
	print( tostring(new_value) )
end

local mod_id = "mimic_info_box"
mod_settings_version = 1
mod_settings = 
{
	{
		id ="rate",
		ui_name ="generation probability",
		--ui_description = "Gamepad users should turn this on.",
		ui_description = "How many proportions of the wands will be replaced with mimic.",
		value_default = 5,
		value_min = 0,
		value_max = 100,
		value_display_multiplier = 1,
		value_display_formatting = " $0",
		scope =  MOD_SETTING_SCOPE_RUNTIME,
	},
}

function ModSettingsUpdate( init_scope )
	local old_version = mod_settings_get_version( mod_id )
	mod_settings_update( mod_id, mod_settings, init_scope )
end

function ModSettingsGuiCount()
	return mod_settings_gui_count( mod_id, mod_settings )
end

function ModSettingsGui( gui, in_main_menu )
	mod_settings_gui( mod_id, mod_settings, gui, in_main_menu )
end
